<? $this->headScript()->appendFile('/js/tooltip.js')->appendFile('/js/scrollspy.js');?>
<? $escort = $this->escort; if ( ! $escort instanceof Model_EscortV2Item ) $escort = new Model_EscortV2Item($escort) ?>

<?
$config = $this->config;
$c = $this->c;
$class = '';
if ( $this->is_main_page || $escort->is_premium || $escort->is_tour_premium ) {
	$class = 'prem';
}
elseif ( ! $escort->is_premium && $this->in_premium ) {
	$class = 'reg';
}

if ( $escort->is_last_one ) {
	$class .= ' last-one';
}
?>

<? if ( $escort->is_gotd ): ?>

<div class="gotd-thumb g_l_<?= Model_EscortsV2::getColorByGotdCityId($escort->gotd_city_id) ?>">
	<div class="header"></div>
	<div class="gotd-data marginbottom28">
		<div class="image">
			<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>"><img src="<?= $escort->getMainPhoto()->getUrl('gotm') ?>" width="158" height="99" alt="<?= $escort->showname ?>" /></a>
		</div>

		<div class="info">
			<? /* <span class="special"><?= strtoupper(date('F Y', mktime(null, null, null, $gotm->month + 1, null, $gotm->year))) ?></span><br/> */ ?>
			<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>"><span class="strong"><?= $escort->showname ?></span></a><br/>
			<? if ( $escort->age ): ?>
			<?= __('age') ?>: <span class="strong"><?= $escort->age ?></span><br/>
			<? endif; ?>
			<? if ( $escort->tour_city_id && $escort->hasProduct(Model_Escorts::PRODUCT_TOUR_ABILITY) ): ?>			
				<?= __('city') ?>: <span class="strong"><?= $escort->tour_city ?></span>
			<? else: ?>
				<? if($escort->f_city): ?>
				<?= __('city') ?>: <span class="strong"><?= $escort->f_city ?></span>
				<? else: ?>
				<?= __('city') ?>: <span class="strong"><?= $escort->af_city ?></span>
				<? endif; ?>
			<? endif; ?>
			
		</div>
		<div class="hot"></div>
		
		<div class="clear"></div>
	</div>
	<?



	if ($this->sort_param == 'most-viewed'): ?>
		<div class="rank-cont fonts1-1">
			<div class="fleft mar"><img src="<?= _st('rank_label.gif') ?>" alt="<?= $this->t('rank'); ?>" /></div>
			<div class="fleft rank-inner">
				<div>
					<div class="fleft marginright5"><?= $this->t('rank') ?>: <span><?= ($this->params['page'] == 1) ? ( $c ) : ($config['perPage'] * ($this->params['page'] - 1)) + $c ?></span></div>
					<div class="fright"><?= $this->t('hits') ?>: <span><?= intval($escort->hit_count) ?></span></div>
					<div class="clear"></div>
				</div>
				<div class="rank-city"><?= ($escort->f_city) ? $escort->f_city : $escort->af_city ?></div>
			</div>
		</div>
	<? endif; ?>

</div>

<? else: ?>

<div class="escort h <?= $class ?> <?= ( ($c) % 2 ) ? 'even' : 'odd' ?>">

	<div class="photo_wrap">
		
		<? if ( ! $this->is_tour ): ?>
			<? if ($this->is_main_page): ?>
				<? $from = 'main_premium_spot'; ?>
			<? elseif ($escort->is_premium): ?>
				<? $from = 'regular_list'; ?>
			<? else: ?>
				<? $from = 'regular_list'; ?>
			<? endif; ?>
		<? else: ?>
			<? if ($escort->is_tour_premium || $escort->is_premium): ?>
				<? $from = 'tours_list';//'tour_main_premium_spot'; ?>
			<? else: ?>
				<? $from = 'tours_list'; ?>
			<? endif; ?>

			<? if ( $this->is_upcomingtour ): ?>
				<? $from = 'up_' . $from; ?>
			<? endif; ?>
		<? endif; ?>

		<? if ( $this->search_list ): ?>
			<? $from = 'search_list'; ?>
		<? endif; ?>
		
		<a class="showname" href="<?= $this->is_review ? $this->getLink('escort-reviews', array('showname' => $escort->showname, 'escort_id' => $escort->id)) : $this->getLink('profile', array('showname' => $escort->showname, 'from' => $from, 'escort_id' => $escort->id)) ?>"><?= $escort->showname ?></a>
		<div class="wrap">
			<div class="image">
				<? if ( $escort->is_new ): ?>
				<span class="new"></span>
				<? endif ?>

				<? if($escort->is_suspicious && ! $escort->is_online ): ?>
					<span class="suspicious"></span>
				<? endif; ?>

				<? if ( /*$escort->is_new ||*/ $this->sort_param == 'newest' ): ?>
				<? $label = ( date('d.m.Y') == date('d.m.Y', $escort->date_registered) ? $this->t('today_new') : date('d.m.Y', $escort->date_registered) ) ?>

					<? if ( $escort->verified_status != Model_Escorts::VERIFIED_STATUS_VERIFIED ): ?>
						<span class="created"><img alt="<?= $label ?>" src="/index/list-date-img?date=<?= $escort->date_activated ?>" /></span>
					<? endif; ?>
				<? endif; ?>


				<? if ( $escort->verified_status == Model_Escorts::VERIFIED_STATUS_VERIFIED && ! $escort->is_online ): ?>
				<div class="p100s"></div>
				<? endif; ?>

				<? if( $escort->is_online ): ?>
				<div class="chat_online"></div>
				<? endif; ?>

				<? if ( $this->is_main_page || $escort->is_premium || $escort->is_tour_premium ): // Main Premium Spot ?>
				<span class="premium"></span>
				<? endif ?>
				
				<? if ( date('G') >= 0 && date('G') < 6 /*true*/ && $escort->is_late_night): ?>
					<span class="ln_sticker ln_sticker_<?= $this->lang() ?>"></span>
				<? elseif ($escort->hh_is_active): ?>
					<span class="hh_sticker"></span>
				<? endif; ?>

				<a href="<?= $this->is_review ? $this->getLink('escort-reviews', array('showname' => $escort->showname, 'escort_id' => $escort->id)) : $this->getLink('profile', array('showname' => $escort->showname, 'from' => $from, 'escort_id' => $escort->id)) ?>"><img id="p-<?= $escort->id ?>" src="<?= $escort->getMainPhoto()->getUrl('thumb') ?>" alt="<?= isset($escort->alt) ? $escort->alt : '' ?>" class="escort-thumb" /></a>
			</div>
		</div>

		<div class="info" style="position: relative;">
			<? if ($this->allowChat2() && ($escort->is_chat_online || $this->request()->req == '/chat-online')): ?>
				<? if (Model_Users::getCurrent()): ?>
					<a href="javascript:;" onClick="chat.chatWith('<?= $escort->user_id ?>');" class="chat_1_1"></a>
				<? else: ?>
					<a href="#" class="chat_1_1 chat_login"></a>
				<? endif; ?>
			<? endif; ?>
		<? if ( $this->favorites ): ?>
			<div class="favremove">
				<a href="<?= $this->getLink('remove-from-favorites');?>?escort_id=<?= $escort->id ?>" class="remove-favorites"><img alt="<?= $this->t('remove') ?>" src="<?= _st('icon_favremove.gif') ?>"/></a>
				<a href="<?= $this->getLink('remove-from-favorites');?>?escort_id=<?= $escort->id ?>" class="remove-favorites"><?= $this->t('remove') ?></a>
			</div>
		<? else: ?>
			<? if ( $this->is_tour ): ?>
				<?
					$status = (time() > strtotime($escort->tour_date_from)) ? $this->t('now') : $this->t('soon');

					$tour_date_from = date('d M', strtotime($escort->tour_date_from));
					$tour_date_to = date('d M', strtotime($escort->tour_date_to));
				?>
				<div class="wr">
					<span class="city no-float">
					<?= $this->t('on_tour_in') ?> <?= ($escort->f_city) ? $escort->f_city : $escort->af_city ?><br/>
					<?= $status ?><br/>
					[ <?= $tour_date_from ?> - <?= $tour_date_to ?> ]
					</span>
					<div class="clear"></div>
				</div>

			<? else: ?>
				<? if ($this->sort_param != 'most-viewed'): ?>
					<? if ( $escort->is_on_tour /*&& $escort->hasProduct(Model_Escorts::PRODUCT_TOUR_ABILITY)*/ ): ?>
						<div class="city-t"><?= __('in_tour_until', array('CITY' => $escort->tour_city, 'DATE' => date('d M', strtotime($escort->tour_date_to)))) ?></div>
					<? else: ?>
						<? 
						($escort->f_city) ? $tpl_data['city'] = $escort->f_city : $tpl_data['city'] = $escort->af_city;
						($escort->f_city_id) ? $c_id = $escort->f_city_id : $c_id = $escort->af_city_id;
						$seo = $this->seo('city', $c_id, $tpl_data); 
						?>
						<div class="city">
							<? if ($this->is_trans && isset($seo->heading_trans) && $seo->heading_trans): ?>
								<?= $seo->heading_trans ?>
							<? elseif (isset($seo->heading_escort) && $seo->heading_escort): ?>
								<?= $seo->heading_escort ?>
							<? else: ?>
								<?= ($escort->f_city) ? $escort->f_city : $escort->af_city ?>
							<? endif; ?>
						</div>
					<? endif; ?>
					<div class="clear"></div>
					<? $rate = ''; $rates = $escort->getRates(); ?>
					<? if ( array_key_exists(AVAILABLE_INCALL, $rates) ): ?>
						<? $rate = $rates[AVAILABLE_INCALL] ?>
					<? elseif ( array_key_exists(AVAILABLE_OUTCALL, $rates) ): ?>
						<? $rate = $rates[AVAILABLE_OUTCALL] ?>
					<? endif; ?>

				<? endif; ?>

				<? if ($this->sort_param != 'most-viewed'): ?>
					<? if($escort->comment_count > 0):?>
						<div class="comment_icon"></div>
						<div class="comment_count"><?= $escort->comment_count ?></div>
					<? endif ?>
					<? /*
					<? if($escort->review_count > 0):?>
						<div class="review_icon"></div>
						<div class="review_count"><?= $escort->review_count ?></div>
					<? endif ?>
					*/ ?>
					<? /*
					<? if ( $escort->incall_type ): ?>
					<span class="incall"></span>
					<? endif ?>
					<? if ( $escort->outcall_type ): ?>
					<span class="outcall"></span>
					<? endif ?>
					*/?>

					<?
						$rate_str = '';
						$curr = '';
						$currencies = Model_Currencies::getAllAssoc(2);
						if ( $escort->outcall_price && isset($currencies[$escort->outcall_currency]) ) {
							$rate_str = /*'1h ' . $currencies[$escort->outcall_currency] . ' ' .*/ $escort->outcall_price;
							$curr = $currencies[$escort->outcall_currency];
						}
						if ( $escort->incall_price && isset($currencies[$escort->incall_currency]) ) {
							$rate_str = /*'1h ' . $currencies[$escort->incall_currency] . ' ' .*/ $escort->incall_price;
							$curr = $currencies[$escort->incall_currency];
						}
					?>
					<? if ( strlen($rate_str) > 0 ): ?>
						<span class="price">&nbsp;<? /*'1h ' . $curr . ' ' . $rate_str*/ ?></span>
					<? else: ?>
						<span class="price">&nbsp;</span>
					<? endif; ?>



					<div class="clear"></div>

					<? /*if (date('G') >= 0 && date('G') < 6 && $escort->is_late_night): ?>
						<div class="<?= $this->lang() ?>_now_open_sticker"></div>
					<? else: */?>
						<? if ( strlen($escort->slogan) > 0 ): ?>
							<div class="slogan">
								<?= $escort->slogan ?>
							</div>
						<? endif; ?>
					<?// endif; ?>
					
					<div class="l_date_modified">
						<? /*__('last_updated_date')
						<img src="/img/modified.png" />
						<p>*/ ?><?= date("d.m.Y", $escort->date_last_modified) ?><? /*</p>*/?>
					</div>
						
				<? endif; ?>

				<? if ($this->sort_param == 'most-viewed'): ?>
					<div class="rank-cont">
						<div class="fleft mar"><img src="<?= _st('rank_label.gif') ?>" alt="<?= $this->t('rank'); ?>" /></div>
						<div class="fleft rank-inner">
							<div>
								<div class="fleft marginright5"><?= $this->t('rank') ?>: <span><?= ($this->params['page'] == 1) ? $c : ($config['perPage'] * ($this->params['page'] - 1)) + $c ?></span></div>
								<div class="fright"><?= $this->t('hits') ?>: <span><?= intval($escort->hit_count) ?></span></div>
								<div class="clear"></div>
							</div>
							<div class="rank-city"><?= ($escort->f_city) ? $escort->f_city : $escort->af_city ?></div>
						</div>
					</div>
				<? endif; ?>

			<? endif;?>
		<? endif;?>
						
			
		</div>		
	</div>
	
	<div class="l_price">
			<? if ( strlen($rate_str) > 0 ): ?>
				<span><?= $rate_str ?></span>
			<? else: ?>
				-
			<? endif; ?>		
		</div>

		<div class="l_slogan_text">
			<? if ( strlen($escort->slogan) > 0 ): ?>			
				<?= $escort->slogan ?>
			<? else: ?>
				-
			<? endif; ?>
		</div>

		<div class="l_about_text">
			
			<? if ( strlen($escort->about) > 0 ): ?>			
				<? if ( mb_strlen($escort->about) > 200 ): ?>
					<?= _shorten($about_text) . " ..." ?>
				<? else: ?>
					<?= $escort->about ?>
				<? endif; ?>
			<? else: ?>
				-
			<? endif; ?>
		</div>

		<div class="clear"></div>
	
</div><!-- escort -->

<? endif; ?>